package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author thy
 * @since 2023-03-31
 */
@TableName("s_ra_day_mon_time_fbjd")
@ApiModel(value = "SRaDayMonTimeFbjd对象", description = "")
@Data
public class SRaDayMonTimeFbjd implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("数据主键")
//    @TableId(value = "dataId",type = IdType.UUID)
    private String dataId;

    @ApiModelProperty("企业主键")
    private String factoryId;

    @ApiModelProperty("设备ID")
    private String deviceId;

    @ApiModelProperty("时间类型(月：M；日：D)")
    private String timeType;

    @ApiModelProperty("数据时间(yyyy-MM-dd|yyyy-MM)")
    private String dataTime;

    @ApiModelProperty("创建时间(默认当前时间)")
    private Date createTime;

    @ApiModelProperty("运行总时间")
    private String runTime;

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }
    public String getFactoryId() {
        return factoryId;
    }

    public void setFactoryId(String factoryId) {
        this.factoryId = factoryId;
    }
    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
    public String getTimeType() {
        return timeType;
    }

    public void setTimeType(String timeType) {
        this.timeType = timeType;
    }
    public String getDataTime() {
        return dataTime;
    }

    public void setDataTime(String dataTime) {
        this.dataTime = dataTime;
    }
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    public String getRunTime() {
        return runTime;
    }

    public void setRunTime(String runTime) {
        this.runTime = runTime;
    }

    @Override
    public String toString() {
        return "SRaDayMonTimeFbjd{" +
            "dataId=" + dataId +
            ", factoryId=" + factoryId +
            ", deviceId=" + deviceId +
            ", timeType=" + timeType +
            ", dataTime=" + dataTime +
            ", createTime=" + createTime +
            ", runTime=" + runTime +
        "}";
    }
}
